<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('amministratori', function (Blueprint $table) {
            if (!Schema::hasColumn('amministratori', 'codice_univoco')) {
                $table->string('codice_univoco', 8)->unique()->after('codice_amministratore');
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('amministratori', function (Blueprint $table) {
            if (Schema::hasColumn('amministratori', 'codice_univoco')) {
                $table->dropColumn('codice_univoco');
            }
        });
    }
};
